/* This stylesheet overrides individual pages */

/* ------------------------- StaffServiceRequestListView ------------------------- */
#TeamAssigneeId  {
    margin-right: 20px;
}

#my-team-label {
    margin-right: 5px; 
}

div.input-group > input#query {
    border-top-left-radius: 3px !important;
    border-bottom-left-radius: 3px !important;
}

form#searchServiceRequests span button {
    height: 36px;
    box-shadow: none;
}

td.fixedWidth {
    width: 160px;
}

@media (max-width: 767px) {
    td.fixedWidth {
        width: auto;
    }
    
    #serviceRequestTable.mobileViewTable td:nth-of-type(2),
    #serviceRequestTable.mobileViewTable td:nth-of-type(3) { 
        text-align: center;
        color: #621a4b;
    }
    
    #serviceRequestTable.mobileViewTable .id-field {
        display: inline;
        padding-left: 55px;
        font-weight: bold;
    }
    
    #serviceRequestTable.mobileViewTable .id-field + .badge {
        float: right;
    }
    
    #serviceRequestTable.mobileViewTable .table-cell:first-child {
        float: right;
    }
    
    #serviceRequestTable.mobileViewTable .icon-column,
    #serviceRequestTable.mobileViewTable .following {
        text-align: right;
    }
}

/* ------------------------- StaffCreateServiceRequestView ------------------------- */

.product-search-selector {
    max-height: 300px; 
    z-index: 1000; 
    border: 1px solid black; 
    overflow-y: scroll; 
    position:absolute; 
    width: 400px;
}

#product-search-input {
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}

.product-search-selector .dropdown-grey-message {
    background-color: white;
    font-family: 'oxygen', sans-serif;
    font-weight: normal;
    font-size: 16px;
    color: black;
    padding: 7px;
    padding-left: 15px;
    
    min-height: 36px;
    border-bottom: 1px solid #d7d2cb;
}

.product-search-selector .dropdown-grey-message:hover {
    background-color: #e6e6e6;
    cursor: pointer;
}

/* ------------------------- StaffServiceRequestView ------------------------- */
/* Delete Glyph on draft SR comments, need to override corecontent stylesheets */
a.ui-icon.deleteIcon {
    width: 20px !important;
    height: 20px !important;
    background-image: none !important;
    text-decoration: none;
    color: transparent;
}

a.ui-icon.rightAlignIcon {
    text-indent: unset; /* Override jquery.ui.css of text-indent: -99999px; */
}

a.ui-icon.deleteIcon:before {
    font-family: 'Glyphicons Halflings';
    content: "\e020";
    color: black;
    visibility: visible;
    display: block;
    position: absolute;
}

a.ui-icon.editIcon {
    width: 20px !important;
    height: 20px !important;
    background-image: none !important;
    text-decoration: none;
    display: block;
    color: transparent;
}

/* Edit comment glyph */
a.ui-icon.editIcon:before {
    font-family: 'Glyphicons Halflings';
    content: "\270f";
    color: black;
    display: block;
    position: absolute;
}

#service-request-view-tier-container {
    display: inline-block;
}

.attachment-label .modal-trigger {
    float: right;
}

.attachment-label .badge {
    margin-left: 10px;
}

.replyEmailContent textarea {
    min-width: 400px;
}

.replyEmailContent textarea {
    min-width: 400px;
}

/* ------------------------- StaffComplaintListView ------------------------- */
@media (max-width: 767px) {
    #complaints-table td:first-child {
        text-align: center;
        color: #621a4b;
    }
}

/* ------------------------- StaffComplaintView ------------------------- */

@media (max-width: 767px) {
        
    #sr-table.mobileViewTable td:nth-of-type(1) { 
        text-align: center;
        color: #621a4b;
    }
}

/* ------------------------- StaffCreateComplaintOldView ------------------------- */
#serviceRequestSearchModal {
    border-radius: 3px;
}

#serviceRequestSearchModal div.modal-content {
    min-width: 800px;
}

#serviceRequestSearchModal div.modal-header {
    background-color: #621a4b;
    color: white;
}
#serviceRequestSearchModal div.modal-header button.close {
    color: white;
    opacity: 1;
    text-shadow: none;
}

#LinkServiceRequest {
    width: 364px;
}

@media (max-width: 767px) {
    #LinkServiceRequest {
        width: 80%;
    }
    
    #serviceRequestSearchModal div.modal-content {
        min-width: unset;
        width: 100%;
    }
}

#ServiceRequestSearchLink {
    width: 36px;
    padding: 1px 6px 1px 6px;
}

#ServiceRequestSearchLink > span  {
    margin: 0px;
}

/* ------------------------- StaffIncidentListView ------------------------- */

@media (max-width: 767px) {
    #incidentTable td:first-child {
        text-align: center;
        color: #621a4b;
        font-weight: bold;
    }
}

/* ------------------------- QuickSearch dialogue ------------------------- */
#navigator-search-input {
    width: 100%;
    margin-top: 20px;
}

/* ------------------------- Notifications ------------------------- */
#notifications-dashboard-button {
    margin-top: 15px;
}

/* ------------------------- StaffSupportRequestView ------------------------- */
#tab-bar {
    margin-top: 20px;
}

/* ------------------------- CustomerFileListView ------------------------- */
@media (max-width: 767px) {
    .mobileViewTable td[headers="statusHeader"] {
        text-align: unset !important;
    }
    
    .mobileViewTable td[headers="customerCountHeader"] {
        text-align: unset !important;
    }
}

/* ------------------------- EditTeamView ------------------------- */
.table-email-address {
    max-width: 500px;
    width: 100%;
}

/* ------------------------- StaffEFormListView ------------------------- */
@media (max-width: 767px) {
    .mobileViewTable td[headers="versionHeader"] {
        text-align: unset !important;
    }
}

/* -------------------- BulkCompleteServiceRequestView-------------------- */

#BulkCompleteTable td fieldset {
    width: 785px;
}

@media ( max-width: 767px) {
    #BulkCompleteTable td fieldset {
        width: unset;
    }
}

/* -------------------- SmsResetPasswordView -------------------- */
.whiteText label {
    color: white;
}

#smsResetPasswordForm input[type="text"] {
    color: black;
}

#smsResetPasswordForm #LoginName_section,
#smsResetPasswordForm #Dob_section {
    align-items: center;
}

/* -------------------- TeamSummaryOldView -------------------- */

#teamSummaryTable .txtCenter {
    text-align: center;
}